Can someone help me in installing python package "Prophet" on windows 10

Related searches

Can someone help me in installing python package "Prophet" on windows 10 . I tried installing python 3.5 and the dependency 'pystan' but yet I get below error.

"The package setup script has attempted to modify files on your system that are not within the EasyInstall build area, and has been aborted.This package cannot be safely installed by EasyInstall, and may not support alternate installation locations even if you run its setup script by hand.Please inform the package's author and the EasyInstall maintainers to find out if a fix or workaround is available. Command "python setup.py egg_info" failed with error code 1 in c:\users\suman\appdata\local\temp\pip-build-aqoiqs\fbprophet\"`

I spent a good two days on this issue, finally, I found the following solution

1) Download and install Anaconda 3 (for python 3.6) 2) Create an environment and call it whatever you like 3) Run that environment (which will open the command prompt) 4) follow the following steps in command prompt : (commands are shown in bold)

python -m pip install -U pip Requirement already up-to-date: pip in c:\users\william\anaconda3\envs\testtime\lib\site-packages

conda install -c conda-forge pystan Fetching package metadata ............... Solving package specifications: .

Package plan for installation in environment C:\Users\William\Anaconda3\envs\Testtime:

The following NEW packages will be INSTALLED:

backports:                     1.0-py36_1            conda-forge
backports.functools_lru_cache: 1.4-py36_1            conda-forge
ca-certificates:               2017.11.5-0           conda-forge
cycler:                        0.10.0-py36_0         conda-forge
cython:                        0.27.3-py36_0         conda-forge
freetype:                      2.7-vc14_1            conda-forge [vc14]
icc_rt:                        2017.0.4-h97af966_0
icu:                           58.2-vc14_0           conda-forge [vc14]
intel-openmp:                  2018.0.0-hd92c6cd_8
jpeg:                          9b-vc14_2             conda-forge [vc14]
libpng:                        1.6.34-vc14_0         conda-forge [vc14]
matplotlib:                    2.1.0-py36_0          conda-forge
mkl:                           2018.0.1-h2108138_4
numpy:                         1.13.3-py36ha320f96_0
openssl:                       1.0.2m-vc14_0         conda-forge [vc14]
pyparsing:                     2.2.0-py36_0          conda-forge
pyqt:                          5.6.0-py36_4          conda-forge
pystan:                        2.17.0.0-py36_vc14_0  conda-forge [vc14]
python-dateutil:               2.6.1-py36_0          conda-forge
pytz:                          2017.3-py_2           conda-forge
qt:                            5.6.2-vc14_1          conda-forge [vc14]
sip:                           4.18-py36_1           conda-forge
six:                           1.11.0-py36_1         conda-forge
tornado:                       4.5.2-py36_0          conda-forge
zlib:                          1.2.11-vc14_0         conda-forge [vc14]

pip install fbprophet

Can someone help me in installing python package "Prophet" on , I spent a good two days on this issue, finally, I found the following solution. 1) Download and install Anaconda 3 (for python 3.6) 2) Create an� In the example above, pip will install the Scrapy package, a popular package (among many) used for scraping information from websites. There are a multitude of Python packages, which you can find on PyPI — the Python Package Index — the official repository for third-party software for the Python programming language.

I currently have a fairly vanilla install of Python 3.5 on my Windows 10 machine that I setup using Anaconda.

I was able to install Prophet using the below command, that might work for you. Depending on how your installed Python you may need to run the below command in a cmd shell that was opened as administrator.

pip install prophet

How do I install Python packages on Windows?, Then follow these steps to install pip on Windows, it's quite easy. Install setuptools : Fortunately, there is one package manager for Python, called Pip. Pip is inspired by This can help you get started with it. Firstly, you'll That worked for me when nothing else was making any sense. I use Python 2.7 but� Step 5: Install packages in your Python environment. 03/09/2020; 3 minutes to read +4; In this article. Previous step: Run code in the debugger The Python developer community has produced thousands of useful packages that you can incorporate into your own projects.

Whenever I have tried to install fbprophet package multiple issues have come.I will suggest a few steps, hopefully they should work.

  1. Close all existing Python / R running instances. If possible restart the machine. I have seen to work as few libraries / dependencies which I want to update might be getting used by existing running instances.

  2. Use anaconda prompt.

  3. First install pystan -

    `conda install pystan`
    
  4. Now install fbprophet

    'conda install -c conda-forge fbprophet

Hopefully it should work for you. Also, ensure you have admin rights.

Install your package from the real PyPI using pip install [your-package]. At this point if you want to read more on packaging Python libraries here are some things you can do: Read more about using setuptools to package libraries in Packaging and distributing projects .

Installing Package from GitHub. Now we are ready to install packages directly from GitHub. In this example, we are going to install the MetaFlow package from Netflix. Here the package description:

Python 2.7.9 onwards, and Python 3.4 onwards, include the package management system “pip” which should allow you to install Biopython with just: pip install numpy pip install biopython ADD REPLY • link modified 3.0 years ago • written 3.0 years ago by cpad0112 ♦ 14k

Similarly, as a directory can contain subdirectories and files, a Python package can have sub-packages and modules. A directory must contain a file named __init__.py in order for Python to consider it as a package. This file can be left empty but we generally place the initialization code for that package in this file. Here is an example.

(you can skip this with --no-bootstrap) yum is /usr/bin/yum Loaded plugins: fastestmirror, langpacks Loading mirror speeds from cached hostfile Package gcc-4.8.5-16.el7.x86_64 already installed and latest version Package augeas-libs-1.4.0-2.el7_4.1.x86_64 already installed and latest version Package 1:openssl-1.0.2k-8.el7.x86_64 already

Comments
  • Thank you for your response. I was able to install with 'pip install prophet' as you said but the module doesn't get imported when importing in jupyter. import pandas as pd import numpy as np import Prophet --------------------------------------------------------------------------- ImportError Traceback (most recent call last) <ipython-input-2-bd76fd529c16> in <module>() 1 import pandas as pd 2 import numpy as np ----> 3 import Prophet ImportError: No module named Prophet